On Wed, Oct 24, 2007 at 10:49:38PM +0200, Michael Hanselmann wrote:
> On Wed, Oct 24, 2007 at 04:49:48AM -0600, Warren Young wrote:
> > Michael Hanselmann wrote:
> >> Actually, I'm a Gentoo dev, too, and just bumped the package last week.
> >
> > Thanks! The current .ebuild file is still fine, then?
>
> I have troubles understanding your question. The version in the portage
> tree works, yes.
I was reading through old mailing list archives and saw my name mentioned
in this old thread.
I took a quick look at the difference between gentoo's latest ebuild
and mysql++'s. I've attached the diff for reference.
The official gentoo ebuild is still on version 2.3.2, and they apply
a patch for gcc-4.3. I've attached their patch as well, for reference.
I think mysql++ is supported well enough in Gentoo now that you could
probably remove the ebuild from your source tarball and nobody would
notice. :-) The Gentoo world lives off the portage tree anyway.
I'm not an active Gentoo user anymore, so I'm probably not the best
maintainer for the ebuild.
- Chris
--- mysql++.ebuild 2008-05-16 19:35:07.000000000 -0400
+++ /home/cdfrey/incoming/mysql++-2.3.2.ebuild 2008-05-22 18:48:43.000000000 -0400
@@ -1,43 +1,58 @@
-# Copyright 1999-2004 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql++/mysql++-2.3.2.ebuild,v 1.3 2008/04/21
03:00:49 dirtyepic Exp $
-inherit gcc eutils gnuconfig
+inherit eutils
DESCRIPTION="C++ API interface to the MySQL database"
-# This is the download page but includes links to other places
HOMEPAGE="http://tangentsoft.net/mysql++/"
-SRC_URI_BASE="http://tangentsoft.net/mysql++/releases"
-SRC_URI="${SRC_URI_BASE}/${P}.tar.gz"
+SRC_URI="http://www.tangentsoft.net/mysql++/releases/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="x86 ~alpha ~hppa ~mips ~sparc ~ppc ~amd64"
+KEYWORDS="~alpha ~amd64 ~hppa ~mips ~ppc ~sparc ~x86"
IUSE=""
-DEPEND=">=dev-db/mysql-3.23.49"
+DEPEND=">=sys-devel/gcc-3"
+RDEPEND="${DEPEND}
+ >=virtual/mysql-4.0"
src_unpack() {
- unpack ${P}.tar.gz
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${P}-gcc-4.3.patch
+
+ for i in "${S}"/lib/*.h ; do
+ sed -i \
+ -e '/#include </s,mysql.h,mysql/mysql.h,g' \
+ -e '/#include </s,mysql_version.h,mysql/mysql_version.h,g' \
+ "${i}" || die "Failed to sed ${i} for fixing MySQL includes"
+ done
}
src_compile() {
- gnuconfig_update
- # not including the directives to where MySQL is because it seems to find it
- # just fine without
+ local myconf
+ # we want C++ exceptions turned on
+ myconf="--enable-exceptions"
+ # give threads a try
+ myconf="${myconf} --enable-thread-check"
+ # not including the directives to where MySQL is because it seems to
+ # find it just fine without
+
# force the cflags into place otherwise they get totally ignored by
# configure
- CFLAGS="${CFLAGS}" CXXFLAGS="${CFLAGS} ${CXXFLAGS}" econf || \
- die "econf failed"
+ CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
+ econf ${myconf} || die "econf failed"
emake || die "unable to make"
}
src_install() {
- make DESTDIR=${D} install || die
+ emake DESTDIR="${D}" install || die
# install the docs and HTML pages
- dodoc README* LICENSE.txt
+ dodoc README* CREDITS ChangeLog HACKERS Wishlist
dodoc doc/*
- dohtml doc/html/*
+ cp -ra doc/html "${D}"/usr/share/doc/${PF}/html
prepalldocs
}
-
diff -Naur mysql++-2.3.2-orig/lib/const_string.h mysql++-2.3.2/lib/const_string.h
--- mysql++-2.3.2-orig/lib/const_string.h 2008-03-22 16:16:39.000000000 -0600
+++ mysql++-2.3.2/lib/const_string.h 2008-03-22 16:18:47.000000000 -0600
@@ -35,6 +35,7 @@
#include <iostream>
#include <stdexcept>
#include <string>
+#include <cstring>
namespace mysqlpp {